<?php

ob_start();
$Indice;

     


include './ConexionII.php';
include './GestionDB.php';

        

session_start();


$Conexion = new Conexion();
$Con = $Conexion->conect();
$DB = new GestionDBFacturas();
$DBII = new GestionDBProducto();




if ($_SESSION['Impresa']== true) {
// Ya se imprimió, cambio de header
unset($_SESSION['Numero']);
unset($_SESSION['Fecha']);
unset($_SESSION['NombreCliente']);
unset($_SESSION['ApellidoCliente']);
unset($_SESSION['Cedula']);
unset($_SESSION['Direccion']);
unset($_SESSION['Telefono']);
unset($_SESSION['Celular']);
unset($_SESSION['Contador']);
unset($_SESSION['Correo']);
unset($_SESSION['Congelador']);
unset($_SESSION['Marca']);
unset($_SESSION['Linea']);
unset($_SESSION['CodigoProducto']);
unset($_SESSION['IdCliente']);
unset($_SESSION['Factura']);
unset($_SESSION['Descuento']);
unset($_SESSION['Plazo']);
unset($_SESSION['Origen']);
unset($_SESSION['Destino']);
header("Location: ./Traslados.php");
}


if (!isset($_SESSION['Origen'])) {
header("Location: ./Traslados.php");
}
                    

if(isset($_SESSION['Usuario'])){
  
  

 
}else{

    //Si no le muestro otra página, puede ser la de Login
    header("Location: /MauricioCorrea/incorrecto.html");
}


?>

<!DOCTYPE html>





<!--
To change this license header, choose License Headers in Project Properties.
To change this template file, choose Tools | Templates
and open the template in the editor.
-->
<html>
    <head>
        <title>Traslado</title>
                   <link rel="icon" type="image/png" href="imagenes/compra.png" />
          
        <script type="text/javascript" src="Js/jquery.min.js" ></script>
        <link rel="stylesheet" type="text/css" href="estilos.css">
        <link rel="stylesheet" type="text/css" href="fonts.css">
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
        <script src="http://code.jquery.com/jquery-latest.js"></script>
        <script src="mysqlwslib.js"></script>
        <script src="Js/jquery-ui.js"></script>
        <script src="menu.js"></script>
<style>
#ui-id-1{
    background-color: white;
    opacity: 0.7;
}
</style>
<script>
            $(function(){
                $("#buscador").autocomplete({
                    source: 'buscadorproductos.php',
                    select: function(event, ui){
//$("#saldo").html(
//'<br>'+
//'<form id="form" name="form" action="'; echo $_SERVER['PHP_SELF']; echo'" method="post" onsubmit="asigna()">'+
//'<table cellspacing="35"  style="margin: 0 auto;">'+ 
//'<tr><td width=100><span class="required"><div>Saldo*</div></span><input type="text" value="'+ ui.item.saldoProducto +'" name="saldo_1" readonly autofocus="autofocus" required="required" class="required" style="width:100px; height:30px;"></td>'
'<input type="hidden" name="codigo_1" value="'+ ui.item.codigoProducto +'">'
//'<input type="submit" name="Grabar" id="Grabar" value="OK" style="width:35px; height:35px;"/></td>'+
//'<input type="hidden" name="var_cont"></tr>'
//                        );
$("#producto").html(
'<br>'+
//'<form id="form" name="form" action="'; echo $_SERVER['PHP_SELF']; echo'" method="post" onsubmit="asigna()">'+
//'<table cellspacing="35"  style="margin: 0 auto;">'+ 
'<td width=150><span class="required"><div>Producto*</div></span><input type="text" id="Producto" readonly value="'+ ui.item.value +'" name="producto_1" autofocus="autofocus" min="0" required="required" class="required" style="width:150px; height:30px;"></td>'
//'<input type="hidden" name="codigo_1" value="'+ ui.item.codigoProducto +'">'+
//'<input type="submit" name="Grabar" id="Grabar" value="OK" style="width:35px; height:35px;"/></td>'+
//'<input type="hidden" name="var_cont"></tr>'
                        );
$("#cantidad").html(
'<br>'+
//'<form id="form" name="form" action="'; echo $_SERVER['PHP_SELF']; echo'" method="post" onsubmit="asigna()">'+
//'<table cellspacing="35"  style="margin: 0 auto;">'+ 
'<td width=100 ><span class="required"><div>Cantidad*</div></span><input type="number" id="Cantidad" value="0" name="cantidad_1" autofocus="autofocus" min="0" required="required" class="required" style="width:100px; height:30px;" onChange="multiplicar();"></td>'
//'<input type="hidden" name="codigo_1" value="'+ ui.item.codigoProducto +'">'+
//'<input type="submit" name="Grabar" id="Grabar" value="OK" style="width:35px; height:35px;"/></td>'+
//'<input type="hidden" name="var_cont"></tr>'
                        );
$("#valor").html(
'<br>'+
//'<form id="form" name="form" action="'; echo $_SERVER['PHP_SELF']; echo'" method="post" onsubmit="asigna()">'+
//'<table cellspacing="35"  style="margin: 0 auto;">'+ 
'<td width=100><span class="required"><div>Costo*</div></span><input type="text" readonly value="'+ ui.item.costoProducto +'"  name="valor_1" autofocus="autofocus" min="0" required="required" id="Valor" class="required" style="width:100px; height:30px;"></td>'
//'<input type="hidden" name="codigo_1" value="'+ ui.item.codigoProducto +'">'+
//'<input type="submit" name="Grabar" id="Grabar" value="OK" style="width:35px; height:35px;"/></td>'+
//'<input type="hidden" name="var_cont"></tr>'
                        );
$("#total").html(
'<br>'+
//'<form id="form" name="form" action="'; echo $_SERVER['PHP_SELF']; echo'" method="post" onsubmit="asigna()">'+
//'<table cellspacing="35"  style="margin: 0 auto;">'+ 
'<td width=100><span class="required"><div>Total*</div></span><input type="number" readonly value="0" id="Subtotal" name="subtotal_1" autofocus="autofocus" min="0" required="required" class="required" style="width:100px; height:30px;">'+
'<input type="hidden" name="codigo_1" value="'+ ui.item.codigoProducto +'">'+
'<input type="submit" name="Grabar" id="Grabar" value="OK" style="width:35px; height:35px;"/></td>'+
'<input type="hidden" name="var_cont"></tr>'
                        );
                    }
                });
            });
        </script>
       <script>
function multiplicar() {
m1 = document.getElementById("Cantidad").value;
m2 = document.getElementById("Valor").value;
Subtotal = m1*m2;
document.getElementById("Subtotal").value = Subtotal;

}


function Cambia() {
CodigoJS = document.getElementById("Codigo").value
alert(CodigoJS);
<?php
$Codigo = '<script> document.write(CodigoJS) </script>'; 
$query = 'SELECT * FROM productos WHERE codigo = '.$Codigo.'';
$result = mysql_query($query, $Con);
?>;
document.getElementById("Producto").value = 'Nombre';
document.getElementById("Valor").value = '5000';
}









var cont=1;
function addRowX()  //Esta la funcion que agrega las filas :
{




cont++;
var indiceFila=1;
myNewRow = document.getElementById('tabla').insertRow(-1);
myNewRow.id=indiceFila;




myNewCell=myNewRow.insertCell(-1);
myNewCell.innerHTML='<td><input type="number" id="Codigo'+cont+'" value="0" name="codigo_'+cont+'" autofocus="autofocus" min="0" required="required" class="required" style="width:110px; height:30px;" ></td> <ts><input type="submit" name="Buscar_'+cont+'" id="Buscar_'+cont+'" value="Buscar" style="width:60px; height:40px;" /></td>';

/*myNewCell=myNewRow.insertCell(-1);
myNewCell.innerHTML='<td><input type="number" value="0" name="codigo_'+cont+'" autofocus="autofocus" required="required" class="required" style="width:110px; height:30px;"></td>';

myNewCell=myNewRow.insertCell(-1);
myNewCell.innerHTML='<td><input type="text" readonly value="" name="producto_'+cont+'" autofocus="autofocus" required="required" class="required" style="width:200px; height:30px;"></td>';

myNewCell=myNewRow.insertCell(-1);
myNewCell.innerHTML='<input type="number" id="Cantidad'+cont+'" value="0" name="cantidad_'+cont+'" autofocus="autofocus" min="0" required="required" class="required" style="width:50px; height:30px;" onChange="multiplicar'+cont+'();">';
myNewCell=myNewRow.insertCell(-1);
myNewCell.innerHTML='<input type="text" readonly value="5" name="valor_'+cont+'" autofocus="autofocus" min="0" required="required" id="Valor'+cont+'" class="required" style="width:100px; height:30px;">';
myNewCell=myNewRow.insertCell(-1);
myNewCell.innerHTML='<input type="number" readonly value="0" id="Subtotal'+cont+'" name="subtotal_'+cont+'" autofocus="autofocus" min="0" required="required" class="required" style="width:100px; height:30px;">';

*/
indiceFila++;

}
//////////////Borrar() ///////////
function borrar() {
var table = document.getElementById('tabla');
if(table.rows.length > 3)
    {
    table.deleteRow(table.rows.length -1);
cont--;
    }
}

////////////FUNCION ASIGNA VALOR DE CONT PARA EL FOR DE MOSTRAR DATOS MP-MOD-TT////////
function asigna()
{
valor=document.form.var_cont.value=cont;
}



function ocultar1(){
document.getElementById("1").style.display = 'none';}

function ocultar2(){
document.getElementById("2").style.display = 'none';}

function ocultar3(){
document.getElementById("3").style.display = 'none';}




</script>
        
    </head>
    <body>
        
        <header>
<?php

if(isset($_SESSION['Usuario'])){

echo '<a class="datosusuario icon-exit" href="/MauricioCorrea/Cerrar.php"> - Salir</a>';
echo '<span class="datosusuario icon-users"> - Bienvenido '.$_SESSION['Nombre'].'</span>';


}else{
    header("Location: /MauricioCorrea/incorrecto.html");
}

       





     echo '<div class="menu_bar">
        <a href="#" class="bt-menu"><span class="icon-newspaper"></span>Menu</a>
        </div>
            <nav>
                <ul>
                    <li><a href="inicio.php"><span class="icon-home"> </span>Inicio</a></li>  
                    <li class="submenu">
                    <a href="#"><span class="icon-user-tie"></span>Admin<span class="caret icon-circle-down"></span></a>    
                    <ul class="children">
                        <li><a href="Registro.php" ><span class="icon-user-plus"></span>Crea Vendedor</a></li>
                        <li><a href="ModificaVendedor.php" ><span class="icon-pencil"></span>Modifica Vendedor</a></li>
                        <li><a href="RegistroCliente.php" ><span class="icon-user-plus"></span>Crea Cliente <span class="user-plus"></a></li>
                        <li><a href="RegistroProveedor.php" ><span class="icon-user-plus"></span>Crea Proveedor <span class="user-plus"></a></li>
                       

                    </ul>
                    </li>


                    <li class="submenu">
                     <a href="#"><span class="icon-cart"> </span>Vend<span class="caret icon-circle-down"></span></a>
                      <ul class="children">
                        <li><a href="RegistroCliente.php" ><span class="icon-user-plus"></span>Crea Cliente <span class=""></a></li>
                        <li><a href="RegistroVenta.php" ><span class="icon-cart"></span>Crea Factura <span class=""></a></li>
                        <li><a href="RegistroRemision.php" ><span class="icon-file-text2"></span>Crea Remision <span class=""></a></li>
                        <li><a href="RegistroNota.php" ><span class="icon-files-empty"></span>Crea Nota <span class=""></a></li>
                    </ul>
                    </li>    





                     <li class="submenu">
                    <a href="#.php"><span class="icon-users"> </span>Clientes<span class="caret icon-circle-down"></span></a>    
                   <ul class="children">  
                    
                    <li><a href="RegistraCongelador.php"><span class="icon-credit-card"> </span>Registra Congelador</a></li>  
                    <li><a href="ModificaCliente.php"><span class="icon-user-check"> </span>Modificar Cliente</a></li>  
                    <li><a href="InformesClientes.php"><span class="icon-profile"> </span>Informe Clientes</a></li> 
                    <li><a href="InformesVentas.php"><span class="icon-calculator"> </span>Informe Ventas</a></li> 
                    </ul> 
                     </li>        

                       <li class="submenu">
                    <a href="#"><span class="icon-user-tie"></span>Proveedores<span class="caret icon-circle-down"></span></a>    
                    <ul class="children">
                    <li><a href="RegistroCompra.php" ><span class="icon-plus"></span>Carga Compra <span class="plus"></a></li>
                        <li><a href="ModificaProveedor.php" ><span class="icon-user-plus"></span>Modificar Proveedor</a></li>
                        
                        <li><a href="InformesCompras.php" ><span class="icon-stats-bars2"></span>Informe Compras <span class="plus"></a></li>

                    </ul>
                    </li>



                                        
                    <li class="submenu">
                    <a href="#.php"><span class="icon-droplet"> </span>Prod<span class="caret icon-circle-down"></span></a>    
                   <ul class="children">
                        <li><a href="CrearProducto.php" ><span class="icon-barcode"></span>Crea Producto <span class=""></a></li>
                        <li><a href="ModificarProducto.php" ><span class="icon-qrcode"></span>Modifica Producto <span class=""></a></li>
                        <li><a href="InformesInventarios.php" ><span class="icon-files-empty"></span>Informe Inventario <span class=""></a></li>
                    </ul> 
                     </li>    
                    <li><a href="Cerrar.php"><span class="icon-exit"> </span>Salir</a></li>                    
                </ul>
            </nav>
        </header>
        <section id="TablaLog1">
            
            <p>
            <form method="get" name="Registro" action="TrasladosII.php">
            <div><p id="Titulo"> Nuevo traslado </p></div>
            <br>
        
                
            <table  cellspacing="10"  style="margin: 0 auto;"  >
            <tr>
                <td>
                <span class="required"><div>Tipo</div></span>
                 <input type="text" disabled="disabled" name="tipo" disabled="disabled" value="'.$_SESSION['Tipo']; echo'" autofocus="autofocus" min="0" required="required" class="required" style="width:140px; height:30px;">
                </td>
                <td>
                <span class="required"><div>Numero</div></span>
                <input type="text" disabled="disabled" name="numero" value=" '.$_SESSION['Numero']; echo'" autofocus="autofocus" min="0" required="required" class="required" style="width:140px; height:30px;">
                </td>


                <td>
                <span class="required"><div>Fecha</div></span>
                <input type="text" id="dateDefault" disabled="disabled"  value="' .$_SESSION['Fecha']; echo'" name="fecha" autofocus="autofocus" required="required" class="required" style="width:140px; height:30px;">
                </td>
<td> <span class="required"><div>Usuario</div></span>

 <input type="text" name="vendedor"  disabled="disabled" value="'. $_SESSION['Nombre'] . ' ' .$_SESSION['Apellido']; echo'" autofocus="autofocus" required="required" class="required" style="width:140px; height:30px;">
</td>
                
             </tr>               
             <tr>
             <td colspan="2">
            <span class="required"><div>Origen</div></span>
            <input type="text" disabled="disabled" name="origen" value=" '.$_SESSION['Origen']; echo'" autofocus="autofocus" min="0" required="required" class="required" style="width:305px; height:30px;">
            </td>

             <td colspan="2">
            <span class="required"><div>Destino</div></span>
            <input type="text" disabled="disabled" name="destino" value=" '.$_SESSION['Destino'] ; echo'" autofocus="autofocus" min="0" required="required" class="required" style="width:305px; height:30px;">
            </td>
</tr>
            
          

  
 </table>
</form>


<form id="form" name="form" action="'; echo $_SERVER['PHP_SELF']; echo'" method="post" onsubmit="asigna()">           
<table cellspacing="10"  style="margin: 0 auto;" id="tabla">
<tr>
<td colspan="2">Ingrese el nombre del producto:</td>
<td colspan="2"><div id="buscar"><input type="text" name="buscador" id="buscador" style="width:330px; height:30px;" /></div>
</td>
</tr>
<tr><td><div id="producto"></div></td>
<td><div id="cantidad"></div></td>
<td><div id="valor"></div></td>
<!--<td><div id="saldo"></div></td>-->
<td><div id="total"></div></td></tr>
           
        </table>';

$Codigo;
$datos;


if(isset($_POST['Grabar'])){

$queryproducto = 'SELECT * FROM productos WHERE codigo = "'.$_POST['codigo_1'].'" AND bodega LIKE  "%'.$_SESSION['Origen'].'%"';
$resultproducto = mysql_query($queryproducto, $Con);
$datoproducto = mysql_fetch_array($resultproducto);
if(mysql_num_rows($resultproducto) == 0 ){
print '<script language="JavaScript">'; 
print 'alert("No se encontraron existencias del producto en la bodega seleccionada!!!" )'; 
print '</script>'; 
}else{
echo 'El saldo del '.$datoproducto['descripcion'].' en la bodega de '.$_SESSION['Origen'].' es '.$datoproducto['saldo'];
if($_POST['cantidad_1'] == 0){
print '<script language="JavaScript">'; 
print 'alert("No se permiten grabar cantidades en cero!!!" )'; 
print '</script>'; 
}else{
if(($datoproducto['saldo'] - $_POST['cantidad_1']) >= 0){
setlocale(LC_MONETARY, 'en_US');
$_SESSION['Linea'][($_SESSION['Contador'] + 1)] = array('codigo' => $_POST['codigo_1'], 'producto' => $_POST['producto_1'], 'cantidad' => $_POST['cantidad_1'], 'valor' => $_POST['valor_1'], 'valorsiniva' => ($_POST['valor_1']/1.16), 'subtotal' => $_POST['subtotal_1'], 'subtotalsiniva' => ($_POST['subtotal_1']/1.16), 'saldoproducto' => $datoproducto['saldo']);
$_SESSION['Contador'] = $_SESSION['Contador'] + 1;


//Aca va bien el índice
}else{
print '<script language="JavaScript">'; 
print 'alert("No se permiten existencias negativas, saldo insuficiente!!!" )'; 
print '</script>'; 



}
}
}
}
echo '
<table  cellspacing="10"  style="margin: 0 auto; font-size:17px;"  >
<tr>
<td width=200>Producto</td>
<td width=50>Cantidad</td>
<td width=70>Costo</td>
<td width=130>Subtotal</td>
<td width=130>Borrar</td>
</tr>';

for($Indice = 1; $Indice <= $_SESSION['Contador']; $Indice++){

if(isset($_POST['Borrar'.$Indice]))  {
unset($_SESSION['Linea'][$Indice]);
echo 'Se eliminó la línea '.$Indice ;

  }

    
    $Subtotal = $Subtotal + ($_SESSION['Linea'][$Indice]['cantidad'] * $_SESSION['Linea'][$Indice]['valorsiniva']);
    $Descuento = ($Subtotal * ($_SESSION['Descuento']/100));
    //Total = $Total + ($_SESSION['Linea'][$Indice]['cantidad'] * $_SESSION['Linea'][$Indice]['valor']) - $Descuento;
        $IVA = ($Subtotal * 1.16)-$Subtotal;
        $Total = $Subtotal + $IVA - $Descuento;


echo '
<tr id="'.$Indice.'">
<td width=200>';
echo $_SESSION['Linea'][$Indice]['producto'];
echo '
</td>
<td width=50>';
echo $_SESSION['Linea'][$Indice]['cantidad'];
echo '
</td>
<td width=70>';
echo number_format($_SESSION['Linea'][$Indice]['valor']);
echo '
</td>
<td width=130>';
echo number_format($_SESSION['Linea'][$Indice]['subtotal']);
echo '
</td>
<td width=50>
<input type="submit" name="Borrar'.$Indice.'" id="Borrar'.$Indice.'" value="X" style="width:60px; height:40px;" onclick="ocultar'.$Indice.'()"/>
</td>
</tr>';
}
echo '
<tr>
<td colspan="4">
TOTAL TRASLADO
</td>
<td>
'; 

$_SESSION['Total'] = $Total;
$_SESSION['Indice'] = $Indice;
echo number_format($Total); 

echo'
</td>
</tr>

<tr>
<td colspan="6">
<input type="submit" name="GenerarFacturaPDF" id="GenerarFacturaPDF" value="Generar Epson" style="width:700px; height:40px;" />
</td>
</tr>
</table>
</form>';


echo '<form method="get" name="Cancelar" action="CerrarSesionFactura.php">

<table  cellspacing="10"  style="margin: 0 auto;"  >
<tr>
<td colspan="6">
<input type="submit" name="Cancelar" id="Cancelar" value="Cancelar" style="width:700px; height:40px;"/>
</td>
</tr>
</table>
</form>';

//Acá va bien el índice

if(isset($_POST['GenerarFacturaPDF'])){
//1 - Grabar el traslado en la tabla traslados ID - NOMBRE - NUMERO - FECHA - ORIGEN - DESTINO VALOR

if($_SESSION['Total'] != 0){

$_SESSION['Contador2'] = 0;
$Fecha = date('Y-m-j');
$FechaH = strtotime('-5 hour', strtotime($Fecha));
$FechaH = date("y-m-d H:i:s", $FechaH);



$Vendedor = ($_SESSION['Nombre'] . ' '.$_SESSION['Apellido']);
$DB->ingresarEncabezadotraslado(($DB->arregloEncabezadotraslado('TRASLADO', $_SESSION['Numero'], $_SESSION['Fecha'], $_SESSION['Origen'], $_SESSION['Destino'], $_SESSION['Total'], $Vendedor)), $Con);
$Indice = $_SESSION['Indice'];
//2 - Grabar los movimientos en la tabla movimientostraslados


        $server="localhost";
	$username="comerc_admin";
	$password="CO2316255129238111";
	$db='comerc_mauriciocorrea';
	$con=mysql_connect($server,$username,$password)or die("No se ha podido establecer la conexion");
	$sdb=mysql_select_db($db,$con)or die("La base de datos no existe");

 
for($Indice = ($Indice-1); $Indice > 0; $Indice--){

$DB->ingresarMovimientoTraslado(($DB->arregloMovimientoTraslado($_SESSION['Numero'], $_SESSION['Fecha'], $_SESSION['Origen'], $_SESSION['Destino'], $_SESSION['Linea'][$Indice]['codigo'], $_SESSION['Linea'][$Indice]['cantidad'], $_SESSION['Linea'][$Indice]['valor'])), $Con);



//3 - Afectar el saldo de inventario de cada artículo en el arreglo

$queryproductoII = 'SELECT * FROM productos WHERE codigo = "'.$_SESSION['Linea'][$Indice]['codigo'].'" AND bodega LIKE  "%'.$_SESSION['Destino'].'%"';
$resultproductoII = mysql_query($queryproductoII, $Con);
$datoproductoII = mysql_fetch_array($resultproductoII);

if(mysql_num_rows($resultproductoII) == 0 ){
//No hay producto en la bodega Destino, hago un INSERT
print '<script language="JavaScript">'; 
        print 'alert("No hay producto en la bodega Destino, hago un INSERT!!!" )'; 
        print '</script>'; 

$queryproductoIII = 'SELECT * FROM productos WHERE codigo = "'.$_SESSION['Linea'][$Indice]['codigo'].'" AND bodega LIKE  "%'.$_SESSION['Origen'].'%"';
$resultproductoIII = mysql_query($queryproductoIII, $Con);
$datoproductoIII = mysql_fetch_array($resultproductoIII);


$codigo = $_SESSION['Linea'][$Indice]['codigo'];
$descripcion = $_SESSION['Linea'][$Indice]['producto'];
$precio1 = $datoproductoIII['precio1'] ;
$precio2 = $datoproductoIII['precio2'] ;
$iva = $datoproductoIII['iva'] ;
$costo = $datoproductoIII['costo'] ;
$saldo = $_SESSION['Linea'][$Indice]['cantidad'];
$saldoorigen = ($_SESSION['Linea'][$Indice]['saldoproducto'] - $_SESSION['Linea'][$Indice]['cantidad']);
$bodega = $_SESSION['Destino'];

$querysaldo = "INSERT INTO productos (codigo, descripcion, precio1, precio2, iva, costo, saldo, bodega) VALUES('".$codigo."', '".$descripcion."', $precio1, $precio2, $iva, $costo, $saldo, '".$bodega."')";

mysql_query($querysaldo, $con);

$querysaldoorigen = "UPDATE productos SET saldo = $saldoorigen WHERE bodega LIKE  '%".$_SESSION['Origen']."%' AND codigo = '".$_SESSION['Linea'][$Indice]['codigo']."' ";

mysql_query($querysaldoorigen, $con);





}else{
//Hay producto en la bodega destino, hago un UPDATE
print '<script language="JavaScript">'; 
        print 'alert("Ya hay producto en la bodega Destino, hago un UPDATE!!!" )'; 
        print '</script>';


$codigo = $_SESSION['Linea'][$Indice]['codigo'];
$descripcion = $_SESSION['Linea'][$Indice]['producto'];
$precio1 = $datoproductoIII['precio1'] ;
$precio2 = $datoproductoIII['precio2'] ;
$iva = $datoproductoIII['iva'] ;
$costo = $datoproductoIII['costo'] ;
$saldo = ($_SESSION['Linea'][$Indice]['cantidad'] + $datoproductoII['saldo']);

$bodega = $_SESSION['Destino'];



$queryproductoIV = 'SELECT * FROM productos WHERE codigo = "'.$_SESSION['Linea'][$Indice]['codigo'].'" AND bodega LIKE  "%'.$_SESSION['Origen'].'%"';
$resultproductoIV = mysql_query($queryproductoIV, $Con);
$datoproductoIV = mysql_fetch_array($resultproductoIV);


$saldoorigen = ($datoproductoIV['saldo'] - $_SESSION['Linea'][$Indice]['cantidad']);

 
$querysaldo = "UPDATE productos SET saldo = $saldo WHERE bodega LIKE  '%".$_SESSION['Destino']."%' AND codigo = '".$_SESSION['Linea'][$Indice]['codigo']."' ";
mysql_query($querysaldo, $con);

$querysaldoorigen = "UPDATE productos SET saldo = $saldoorigen WHERE bodega LIKE  '%".$_SESSION['Origen']."%' AND codigo = '".$_SESSION['Linea'][$Indice]['codigo']."' ";

mysql_query($querysaldoorigen, $con);


echo 'SaldoProducto '. $datoproductoIV['saldo'];
echo 'Cantidad '. $_SESSION['Linea'][$Indice]['cantidad'];
echo 'SaldoOrigen '. $saldoorigen;

}
 
}
header('Location: TrasladoPDF.php');
}else{
print '<script language="JavaScript">'; 
        print 'alert("Aún no ha registrado productos en el traslado!!!" )'; 
        print '</script>'; 
        }
}




        



                    

ob_end_flush();

          
       
        ?>
    </body>
</html>